#ifndef _DISPLAY_H_
#define _DISPLAY_H_
//time between updates
#define TICK_TIME 200

//Value loaded to portb to turn LEDs off
#define OFFVAL 0xfe
//update value for display refresh timer
#define TMR1_H 0xff
#define TMR1_L 0x80
//Values to send to portb to turn appropriate LED on
#define LED1 0xf0
#define LED2 0xf1
#define LED3 0xf2
#define LED4 0xf3
#define LED5 0xf4
#define LED6 0xf5
#define LED7 0xf6
#define LED8 0xf7
#define LED9 0xf8
#define LED10 0xf9
#define LED11 0xfa
#define LED12 0xfb
#define LED13 0xfc
#define LED14 0xfd
#define LED15 0x0e
#define LED16 0x1e
#define LED17 0x2e
#define LED18 0x3e
#define LED19 0x4e
#define LED20 0x5e
#define LED27 0x6e
#define LED28 0x7e
#define LED29 0x8e
#define LED24 0x9e
#define LED25 0xae
#define LED26 0xbe
#define LED21 0xce
#define LED22 0xde
#define LED23 0xee
#define LED30 0xff
void display_time(void);
void refresh_display(void);
void init_display();
void get_time(void);
#endif